import 'package:flutter/material.dart';

class RowSale extends StatelessWidget {
  //final SaleData sale;

  const RowSale({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return InkWell(
      onTap: () {
        // Utils.navigatePage(
        //     context,
        //     DetailSalePage(
        //       saleData: sale,
        //     ));
      },
      child: Card(
          shape: RoundedRectangleBorder(borderRadius: BorderRadius.circular(10)),
          child: Column(
            mainAxisSize: MainAxisSize.min,
            crossAxisAlignment: CrossAxisAlignment.start,
            children: [
              AspectRatio(
                aspectRatio: 2.4,
                child: Container(
                    decoration: BoxDecoration(
                  borderRadius: BorderRadius.only(topRight: Radius.circular(10), topLeft: Radius.circular(10)),
                  // image: DecorationImage(
                  //     image: CachedNetworkImageProvider(
                  //       Const.HOST_URL + (sale.featuredImageLink ?? ""),
                  //     ),
                  //     fit: BoxFit.fill)),
                )),
              ),
              Padding(
                padding: EdgeInsets.all(10),
                // child: Text(
                //   sale?.title ?? "",
                //   style: TextStyle(
                //       fontSize: size(45),
                //       fontWeight: FontWeight.w600,
                //       color: R.color.black),
                //   maxLines: 2,
                // ),
              ),
            ],
          )),
    );
  }
}
